
function mudfish_adclean_31b8b70846e0d05ac90f8bc01bae2d6b() {
  var g_conf = {
    mudfish_adclean_filter_on: true
  };
  chrome.storage.local.get(g_conf, function (items) {
    if (!g_conf.mudfish_adclean_filter_on) {
      return;
    }
    try {
      Sizzle(`#productListArea > .goods-list > ul#productListArea_list > li.goods-list__item:not([id]):not([data-itemtype])`).forEach(element => {
        element.style.display = "none";
      });
    } catch (error) {
      console.log('[ERROR] mudfish_adclean rule error: ' + error);
    }
  });
}

var mudfish_adclean_is_firefox = typeof InstallTrigger !== 'undefined';
if (mudfish_adclean_is_firefox) {
  mudfish_adclean_31b8b70846e0d05ac90f8bc01bae2d6b();
} else {
  window.addEventListener("load", (event) => {
    mudfish_adclean_31b8b70846e0d05ac90f8bc01bae2d6b();
  });
}
